# PreCheckoutQueryUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update / PreCheckoutQueryUpdate

# PreCheckoutQueryUpdate

(common) `data class PreCheckoutQueryUpdate : Update` (source)

### Constructors

(common)

#### <init>

`PreCheckoutQueryUpdate(updateId: UpdateIdentifier, data: PreCheckoutQuery)`

### Properties

(common)

#### data

`val data: PreCheckoutQuery`

(common)

#### updateId

`val updateId: UpdateIdentifier`